# Class FunctorComplement
Functor that returns the complement nucleotide for a given nucleotide.

Defined in | <seqan/modifier.h>
Signature | `template <typename TValue> struct FunctorComplement.`

## Template Parameters

`TValue` | The value type.

## Member Function Overview

- `TValue FunctorComplement::operator()(in);`
  Function call operator.

## Detailed Description

### Remarks

If TValue is char, then the characters are complemented as Dna5.

## Member Functions Detail

### `TValue FunctorComplement::operator()(in);`

Function call operator.

#### Parameters

`in` | The value to convert (`in`).

#### Returns

`TValue` | The converted value (`TValue`).

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @class FunctorComplement
     *
     * @headerfile <seqan/modifier.h>
     *
     * @brief Functor that returns the complement nucleotide for a given nucleotide.
     *
     * @signature template <typename TValue> struct FunctorComplement.
     *
     * @tparam TValue The value type.
     *
     * @section Remarks
     *
     * If TValue is char, then the characters are complemented as Dna5.
     *
     * @fn FunctorComplement::operator()
     *
     * @brief Function call operator.
     *
     * @signature TValue FunctorComplement::operator()(in);
     *
     * @param[in] in The value to convert (<tt>in</tt>).
     *
     * @return TValue The converted value (<tt>TValue</tt>).
     */